#include <iostream>
#include <deque>

using namespace std;

int main()
{
    deque<string> d1;
    // d1.resize(5);
    cout << "d1.size():" << d1.size() << ", d1.empty():" << d1.empty() << endl;

    try
    {
        cout << d1[15] << endl;
    }
    catch (...)
    {
        cout << "错误" << endl;
    }

    return 0;
}